<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:rich="http://richfaces.org/rich"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:a4j="http://richfaces.org/a4j"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h1>#{messages['net.ihe.gazelle.xdstar.TestPlans']}</h1>
        <h:form id="form">
            <gri:panel>
                <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.TestPlans']}</f:facet>
                <rich:dataTable id="tplisttable" var="currentTestPlanType"
                                value="#{testPlanManager.getListTestPlanTypes()}" rowKeyVar="rowNumber"
                                rows="15">
                    <g:column sortBy="#{currentTestPlanType.id}" sortOrder="descending">
                        <ui:define name="header">#{messages['net.ihe.gazelle.simulators.Id']}</ui:define>
                        <h:outputText value="#{currentTestPlanType.id}"/>
                    </g:column>
                    <g:column sortBy="#{currentTestPlanType.testName}">
                        <ui:define name="header">#{messages['xdr.systemeConfiguration.Name']}</ui:define>
                        <h:outputText value="#{currentTestPlanType.testName}"/>
                    </g:column>
                    <g:column>
                        <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Context']}</ui:define>
                        <a4j:repeat value="#{currentTestPlanType.testStep}" var="currents">
                            <h:outputText
                                    value="#{currents.affinityDomainKeyword} =&gt; #{currents.transactionKeyword}"/>
                            <br/>
                        </a4j:repeat>
                    </g:column>
                    <g:column>
                        <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.Action']}</f:facet>
                        <div class="gzl-never-wrap">

                            <h:commandLink title="#{messages['users.Edit']}"
                                           render="globalDiv"
                                           action="#{testPlanManager.editTestPlanType(currentTestPlanType)}">
                                <span class="gzl-icon-pencil"/>
                            </h:commandLink>

                            <h:commandLink title="#{messages['net.ihe.gazelle.xdstar.Copy']}"
                                           actionListener="#{testPlanManager.copyTestPlanType(currentTestPlanType)}">
                                <span class="gzl-icon-files-o"/>
                            </h:commandLink>

                            <a4j:commandLink title="#{messages['net.ihe.gazelle.xdstar.Delete']}"
                                             render="DeleteSelectedTestPlanType"
                                             action="#{testPlanManager.setSelectedTestPlanType(currentTestPlanType)}"
                                             oncomplete="jq162('#DeleteSelectedTestPlanType').modal('show');">
                                <span class="gzl-icon-trash-o"/>
                            </a4j:commandLink>

                            <a4j:commandLink render="textExport,testExportForm"
                                             title="#{messages['net.ihe.gazelle.xdstar.View']}"
                                             rendered="#{s:hasRole('admin_role')}"
                                             action="#{testPlanManager.exportToXml(currentTestPlanType)}"
                                             oncomplete="jq162('#textExport').modal('show');">
                                <span class="gzl-icon-search"/>
                            </a4j:commandLink>
                        </div>
                    </g:column>

                    <f:facet name="footer">
                        <rich:dataScroller maxPages="5" renderIfSinglePage="false"/>
                    </f:facet>
                </rich:dataTable>

                <h:commandButton value="#{messages['net.ihe.gazelle.xdstar.AddNewTestPlan']}" action="#{testPlanManager.editNewTestPlanType()}"
                                 styleClass="gzl-btn-green"/>
                <br/>
            </gri:panel>
        </h:form>
        <h:form id="formuuid">
            <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
                <ui:param name="popup_id" value="DeleteSelectedTestPlanType"/>
                <ui:param name="bodyStyleClass" value="gzl-select-modal-overflow-visible"/>
                <ui:define name="popup_title">#{messages['net.ihe.gazelle.xdstar.DeleteTestPlanType']}</ui:define>
                <s:decorate template="/layout/form/_edit.xhtml">
                    <h:outputText value="#{messages['net.ihe.gazelle.xdstar.DoYouReallyWantToDeleteThisTestPlan']}"/>
                </s:decorate>
                <ui:define name="popup_footer">
                    <a4j:commandButton styleClass="gzl-btn"
                                       value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                       onclick="jq162('#DeleteSelectedTestPlanType').modal('hide');" execute="@this" />
                    <a4j:commandButton styleClass="gzl-btn-red"
                                       value="#{messages['net.ihe.gazelle.xdstar.Confirm']}"
                                       actionListener="#{testPlanManager.deleteSelectedTestPlanType()}"
                                       onclick="jq162('#DeleteSelectedTestPlanType').modal('hide');"
                                       render="tplisttable" />
                </ui:define>
            </ui:decorate>
        </h:form>
        <h:form id="testExportForm">
            <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
                <ui:param name="popup_id" value="textExport"/>
                <ui:define name="popup_title">#{messages['net.ihe.gazelle.xdstar.TestPlanDetails']}</ui:define>
                <gdk:insert rendered="#{testPlanManager.viewExportedText}"
                            content="#{commonEditorManager.getAttributeAsString(testPlanManager.selectedTestPlanType, 'net.ihe.gazelle.testplan')}"
                            highlight="xml"/>
                <ui:define name="popup_footer">
                    <a4j:commandButton styleClass="gzl-btn"
                                       value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                       onclick="jq162('#textExport').modal('hide');" execute="@this" />
                </ui:define>
            </ui:decorate>
        </h:form>
    </ui:define>
</ui:composition>
